cURL
curl --request POST \ --url https://api.itellico.ai/v1/accounts/{account_id}/agents/validate-template \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "template": "", "allowed_variables": [ "<string>" ] } '
{ "valid": true, "errors": [ { "type": "<string>", "message": "<string>", "line": 123, "variable": "<string>" } ], "warnings": [ { "type": "<string>", "message": "<string>", "line": 123, "variable": "<string>" } ], "variables": [ "<string>" ], "unknown_variables": [ "<string>" ] }
Validate Jinja syntax for agent prompts and greetings.
Documentation IndexFetch the complete documentation index at: https://docs.itellico.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.itellico.ai/llms.txt
Use this file to discover all available pages before exploring further.
Request body for validating a Jinja-capable agent template.
Template text to validate using the agent Jinja runtime.
Optional extra variable paths to treat as known for warnings.
OK
Validation result for a Jinja-capable agent template.
Show child attributes
Was this page helpful?